ℹ️ID Informations
This feature enables the retrieval of all information about a person knowing his NNI, ID Card Number or phone Number.
Documents supported are ID Cards (old and new) and Ivorian Resident Card
Last updated
This feature enables the retrieval of all information about a person knowing his NNI, ID Card Number or phone Number.
Documents supported are ID Cards (old and new) and Ivorian Resident Card
GET /search/person
Headers:
Api-Key (required): provided by Danaya
Api-Secret (required): provided by Danaya
Content-Type (required): application/json
Request Body: N/A
Query Params:
In an API call, you must specify either nni, idCardNumber, or phoneNumber. Only one of these parameters should be provided at a time.
documentType (required): CNI or CARTE_RESIDENT
nni: Required for new CNI or CARTE_RESIDENT (example: 11111111111)
idCardNumber: Required for old CNI, as old CNI does not have an NNI (example: C0111111111)
phoneNumber: (not yet available)
Responses:
If the person is found all the details will be return
OK:
Code: 200
Body
{
"uin": "string",
"lastName": "string",
"firstName": "string",
"gender": "string",
"birthDate": "string",
"fatherFirstName": "string",
"fatherLastName": "string",
"fatherBirthDate": "string",
"motherFirstName": "string",
"motherLastName": "string",
"motherBirthDate": "string",
"residenceAdr1": "string",
"nationality": "string",
"idCardNumber": "string",
"birthTown": "string",
"birthCountry": "string",
"spouseName": "string",
"residenceTown": "string",
"fatherUin": "string",
"motherUin": "string",
"residenceAdr2": "string",
"deliveryDate": "string",
"deliveryTown": "string",
"expirationDate": "string",
"fatherbirthTown": "string",
"idImageUrl": "string"
}Code : 401
Code: 400
Last updated